Page MenuHomePhabricator

reclaim zirconium (wipe disk)
Closed, ResolvedPublic

Description

once all roles have been moved away from zirconium to VMs, physical server zirconium should be reclaimed/repurposed/recycled for something else

Details

Related Gerrit Patches:
operations/dns : masterdecom zirconium
operations/puppet : productionvarnish-misc: remove backend zirconium
operations/puppet : productionzirconium: decom, rm from site.pp,DHCP,netboot

Event Timeline

Dzahn created this task.Jul 10 2015, 4:02 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: acl*sre-team.
Dzahn added a subscriber: Dzahn.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 10 2015, 4:02 PM

Change 230828 had a related patch set uploaded (by Dzahn):
zirconium: decom, rm from site.pp,DHCP,netboot

https://gerrit.wikimedia.org/r/230828

Change 230828 merged by Dzahn:
zirconium: decom, rm from site.pp,DHCP,netboot

https://gerrit.wikimedia.org/r/230828

Dzahn added a comment.Aug 11 2015, 6:57 PM

root@palladium:~# puppet cert clean zirconium.wikimedia.org

Notice: Revoked certificate with serial 346
Notice: Removing file Puppet::SSL::Certificate zirconium.wikimedia.org at '/var/lib/puppet/server/ssl/ca/signed/zirconium.wikimedia.org.pem'
Notice: Removing file Puppet::SSL::Certificate zirconium.wikimedia.org at '/var/lib/puppet/server/ssl/certs/zirconium.wikimedia.org.pem'

root@palladium:~# salt-key -d zirconium.wikimedia.org

The following keys are going to be deleted:
Accepted Keys:
zirconium.wikimedia.org
Proceed? [N/y] Y
Key for minion zirconium.wikimedia.org deleted.

root@palladium:~# puppetstoredconfigclean.rb zirconium.wikimedia.org
Killing zirconium.wikimedia.org...done.

Change 230830 had a related patch set uploaded (by Dzahn):
decom zirconium

https://gerrit.wikimedia.org/r/230830

Dzahn added a comment.Aug 11 2015, 7:06 PM

once the name zirconium is gone from DNS, this hardware can still be accessed as wmf3427.mgmt.eqiad.wmnet.

Dzahn claimed this task.Aug 11 2015, 7:07 PM

Change 230959 had a related patch set uploaded (by Dzahn):
varnish-misc: remove backend zirconium

https://gerrit.wikimedia.org/r/230959

Change 230959 merged by Dzahn:
varnish-misc: remove backend zirconium

https://gerrit.wikimedia.org/r/230959

Dzahn added a comment.Aug 12 2015, 1:18 AM

also need to update https://wikitech.wikimedia.org/wiki/Zirconium and new page for the hosts that now have include those roles

Dzahn added a comment.Aug 12 2015, 2:01 AM

18:24 < mutante> !log zirconium - shut down, i'm sure, mollyguard

updated wikitech, removed from icinga

Dzahn set Security to None.

Change 230830 merged by Dzahn:
decom zirconium

https://gerrit.wikimedia.org/r/230830

Dzahn added a comment.EditedAug 12 2015, 2:47 AM

server is removed from DNS and shutdown, updated wikitech page and left comment in racktables

please wipe disks and add to the "spares" wiki page / decide about reclaim or final decom, remove from rack if appropriate

Dzahn removed Dzahn as the assignee of this task.Aug 12 2015, 2:48 AM
Dzahn removed a project: Patch-For-Review.
Dzahn added subscribers: RobH, Cmjohnson.
Dzahn renamed this task from reclaim zirconium to reclaim zirconium (wipe disk).Aug 12 2015, 2:58 AM
Cmjohnson closed this task as Resolved.Aug 20 2015, 3:51 PM
Cmjohnson claimed this task.

Disks are wiped.